> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumisreach.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Quick Agent Action job

> Per-number progress for a Quick AI Phone Call or Quick AI Text job: attempt counts, live call state, messages exchanged, whether the goal was met, and why each target stopped.



## OpenAPI

````yaml /openapi.json get /v1/quick/actions/{id}
openapi: 3.1.0
info:
  title: LumisReach v1 API
  version: 1.0.0
  description: >-
    Programmatic access to the LumisReach voice platform — calls, numbers,
    caller trust, and brands.
  contact:
    name: LumisReach
    email: founders@lumisreach.com
servers:
  - url: https://api.lumisreach.com/api
security:
  - bearerAuth: []
tags:
  - name: Phone Numbers
  - name: Caller IDs
  - name: Enterprise Registration
  - name: Branded Calling
  - name: Calls
  - name: SMS
  - name: WebRTC
  - name: Reputation
  - name: Usage
  - name: Account
  - name: Documents
  - name: Quick Agent Actions
  - name: Sub-entities
paths:
  /v1/quick/actions/{id}:
    get:
      tags:
        - Quick Agent Actions
      summary: Get a Quick Agent Action job
      description: >-
        Per-number progress for a Quick AI Phone Call or Quick AI Text job:
        attempt counts, live call state, messages exchanged, whether the goal
        was met, and why each target stopped.
      operationId: v1_quick_actions_id_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-07/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      kind:
                        type: string
                      status:
                        type: string
                      goal:
                        type: string
                      from_number:
                        type: string
                      config:
                        type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      targets:
                        type: array
                        items:
                          type: object
                          properties:
                            to_number:
                              type: string
                            from_number:
                              anyOf:
                                - type: string
                                - type: 'null'
                            status:
                              type: string
                            live_call_status:
                              anyOf:
                                - type: string
                                - type: 'null'
                            attempts:
                              type: number
                            last_attempt_at:
                              anyOf:
                                - type: string
                                - type: 'null'
                            last_call_id:
                              anyOf:
                                - type: string
                                - type: 'null'
                            messages_sent:
                              type: number
                            messages_received:
                              type: number
                            goal_achieved:
                              type: boolean
                            end_reason:
                              anyOf:
                                - type: string
                                - type: 'null'
                            summary:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - to_number
                            - from_number
                            - status
                            - live_call_status
                            - attempts
                            - last_attempt_at
                            - last_call_id
                            - messages_sent
                            - messages_received
                            - goal_achieved
                            - end_reason
                            - summary
                          additionalProperties: false
                      counts:
                        type: object
                        properties:
                          total:
                            type: number
                          pending:
                            type: number
                          in_progress:
                            type: number
                          completed:
                            type: number
                          no_answer:
                            type: number
                          failed:
                            type: number
                          opted_out:
                            type: number
                          canceled:
                            type: number
                        required:
                          - total
                          - pending
                          - in_progress
                          - completed
                          - no_answer
                          - failed
                          - opted_out
                          - canceled
                        additionalProperties: false
                      created_at:
                        type: string
                      completed_at:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - id
                      - kind
                      - status
                      - goal
                      - from_number
                      - config
                      - targets
                      - counts
                      - created_at
                      - completed_at
                    additionalProperties: false
                required:
                  - data
                additionalProperties: false
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '409':
          description: Conflict (incl. idempotency conflicts)
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ErrorEnvelope:
      type: object
      properties:
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            fields:
              type: object
              additionalProperties:
                type: string
            doc_url:
              type: string
              format: uri
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````